%define name	jed
%define version	0.99.18
%define sversion 0.99-18
%define release	%mkrel 4
%define _requires_exceptions \\(ld-linux.*\\.so\\.2\\|ld.*\\.so\\.1\\)

Summary:	A fast, compact editor based on the slang screen library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Editors
Requires:	jed-common = %{version}
BuildRequires:	X11-devel
BuildRequires:  chrpath
BuildRequires:	slang-devel
URL:		http://www.jedsoft.org/jed/
Source0:	ftp://space.mit.edu/pub/davis/jed/v0.99/jed-%{sversion}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%description
Jed is a fast, compact editor based on the slang screen library.  Jed
features include emulation of the Emacs, EDT, WordStar and Brief editors;
support for extensive customization with slang macros, colors,
keybindings, etc.; and a variety of programming modes with syntax
highlighting.

You should install jed if you've used it before and you like it, or if you
haven't used any text editors before and you're still deciding what you'd
like to use.  You'll also need to have slang installed.

%package common
Summary:	Files needed by any Jed editor
Group:		Editors
%description common
The jed-common package contains files (such as .sl files) that are
needed by any jed binary in order to run.

%package xjed
Requires:	jed-common = %{version}
Summary:	The X Window System version of the Jed text editor
Group:		Editors

%description xjed
Xjed is a version of the Jed text editor that will work with the X Window
System.
  
You should install xjed if you like Jed and you'd like to use it with X.
You'll also need to have the X Window System installed.

%package -n rgrep
Summary:	A grep utility which can recursively descend through directories
Group:		Text tools

%description -n rgrep
The rgrep utility can recursively descend through directories as
it greps for the specified pattern.  Note that this ability does
take a toll on rgrep's performance, which is somewhat slow.  Rgrep
will also highlight the matching expression.

Install the rgrep package if you need a recursive grep which can
highlight the matching expression.

%prep
%setup -q -n jed-%{sversion}

%build
sed -i 's|cd ..;pwd|pwd|g' configure
export JED_ROOT="%{_datadir}/jed"
%configure
%make clean
%make all
%make rgrep
%make xjed

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_infodir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/jed
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

cp -r lib $RPM_BUILD_ROOT%{_datadir}/jed
cp -r info/jed* $RPM_BUILD_ROOT%{_infodir}

cd src/objs
install -m 0755 -s jed $RPM_BUILD_ROOT%{_bindir}
install -m 0755 -s xjed $RPM_BUILD_ROOT%{_bindir}
install -m 0755 -s rgrep $RPM_BUILD_ROOT%{_bindir}
JED_ROOT=$RPM_BUILD_ROOT%{_datadir}/jed $RPM_BUILD_ROOT%{_bindir}/jed -batch -n -l preparse.sl
chrpath -d $RPM_BUILD_ROOT%{_bindir}/*

cd ../../doc/manual
install -m 644 jed.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 rgrep.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post common
%_install_info %{name}.info

%postun common
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%{_bindir}/jed

%files common
%defattr(-,root,root)
%doc COPYRIGHT INSTALL INSTALL.unx README changes.txt
%doc doc/txt/*
%{_infodir}/*
%{_mandir}/man1/jed*
%{_datadir}/jed

%files xjed
%defattr(-,root,root)
%{_bindir}/xjed

%files -n rgrep
%defattr(-,root,root)
%doc COPYRIGHT INSTALL INSTALL.unx README changes.txt
%{_bindir}/rgrep
%{_mandir}/man1/rgrep.1*



%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.99.18-4mdv2009.0
+ Revision: 247399
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.99.18-2mdv2008.1
+ Revision: 136503
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

  + Adam Williamson <awilliamson@mandriva.com>
    - build against system slang, reason for using private copy is obsolete
    - don't package license (unneeded)
    - use Fedora license policy (GPLv2+)
    - install xjed to bindir not /usr/X11R6/bin


* Thu Dec 28 2006 Stew Benedict <sbenedict@mandriva.com> 0.99.18-1mdv2007.0
+ Revision: 102257
- Import jed

* Thu Dec 28 2006 Stew Benedict <sbenedict@mandriva.com> 0.99.18-1mdv2007.1
- 0.99.18, slang 2.0.7
- drop P0, merged upstream
- import jed

* Fri Nov 11 2005 Stew Benedict <sbenedict@mandriva.com> 0.99.17-0.135.1mdk
- 0.99.17.135 beta, slang-2.0.5

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.99.17-0.111.2mdk
- fix BuildRequires

* Wed Aug 10 2005 Stew Benedict <sbenedict@mandriva.com> 0.99.17-0.111.1mdk
- 0.99.17 beta, slang-2.0.4

* Tue Feb 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.99.16-7mdk
- make requires exceptions a regex (handle x86_64 and ppc64 cases)

* Thu Jan 27 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.99.16-6mdk
- private libslang to avoid crash due to utf8 patches (#12969)

* Sat Jul 24 2004 Marcel Pol <mpol@mandrake.org> 0.99.16-5mdk
- again build against new slang

* Thu Jul 22 2004 Marcel Pol <mpol@mandrake.org> 0.99.16-4mdk
- build against new slang

* Fri Apr 16 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.99.16-3mdk
- build fixes

